diff --git a/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java b/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
index 3c2e14b22f4922ed3bd37dd247c16758580f348e..db61382c57ef8f127b264162ccacb2e530a65025 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
@@ -101,12 +101,12 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
     private final static String PROP_INCLUDE_NEXT_UPDATE =
             "includeNextUpdate";
 
-    protected Hashtable mReqCounts = new Hashtable();
+    protected Hashtable<String, Long> mReqCounts = new Hashtable<String, Long>();
     protected boolean mNotFoundGood = true;
     protected boolean mUseCache = true;
     protected boolean mByName = true;
     protected boolean mIncludeNextUpdate = false;
-    protected Hashtable mCacheCRLIssuingPoints = new Hashtable();
+    protected Hashtable<String, CRLIPContainer> mCacheCRLIssuingPoints = new Hashtable<String, CRLIPContainer>();
     private IOCSPAuthority mOCSPAuthority = null;
     private IConfigStore mConfig = null;
     private String mId = null;
@@ -122,13 +122,13 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
-        v.addElement(PROP_NOT_FOUND_GOOD + ";boolean; "
-                + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_PROP_NOT_FOUND_GOOD"));
+        v.addElement(PROP_NOT_FOUND_GOOD
+                + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_PROP_NOT_FOUND_GOOD"));
         v.addElement(PROP_BY_NAME + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_PROP_BY_NAME"));
-        v.addElement(PROP_INCLUDE_NEXT_UPDATE + ";boolean; "
-                + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_PROP_INCLUDE_NEXT_UPDATE"));
+        v.addElement(PROP_INCLUDE_NEXT_UPDATE
+                + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_PROP_INCLUDE_NEXT_UPDATE"));
         v.addElement(IExtendedPluginInfo.HELP_TEXT + "; " + CMS.getUserMessage(locale, "CMS_OCSP_DEFSTORE_DESC"));
         v.addElement(IExtendedPluginInfo.HELP_TOKEN + ";configuration-ocspstores-defstore");
         return com.netscape.cmsutil.util.Utils.getStringArrayFromVector(v);
@@ -226,7 +226,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
      * new one is totally committed.
      */
     public void deleteOldCRLs() throws EBaseException {
-        Enumeration recs = searchCRLIssuingPointRecord(
+        Enumeration<Object> recs = searchCRLIssuingPointRecord(
                 "objectclass=" +
                         CMS.getCRLIssuingPointRecordName(),
                 100);
@@ -234,9 +234,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
         ICRLIssuingPointRecord theRec = null;
 
         while (recs.hasMoreElements()) {
-            ICRLIssuingPointRecord rec = (ICRLIssuingPointRecord)
-                    recs.nextElement();
-
+            ICRLIssuingPointRecord rec = (ICRLIssuingPointRecord) recs.nextElement();
             deleteOldCRLsInCA(rec.getId());
         }
     }
@@ -254,15 +252,14 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
                 return; // nothing to do
             String thisUpdate = Long.toString(
                     cp.getThisUpdate().getTime());
-            Enumeration e = searchRepository(
+            Enumeration<Object> e = searchRepository(
                     caName,
                     "(!" + IRepositoryRecord.ATTR_SERIALNO + "=" +
                             thisUpdate + ")");
 
             while (e != null && e.hasMoreElements()) {
-                IRepositoryRecord r = (IRepositoryRecord)
-                        e.nextElement();
-                Enumeration recs =
+                IRepositoryRecord r = (IRepositoryRecord) e.nextElement();
+                Enumeration<Object> recs =
                         searchCertRecord(caName,
                                 r.getSerialNumber().toString(),
                                 ICertRecord.ATTR_ID + "=*");
@@ -339,7 +336,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
 
             // (3) look into database to check the
             //     certificate's status
-            Vector singleResponses = new Vector();
+            Vector<SingleResponse> singleResponses = new Vector<SingleResponse>();
             if (statsSub != null) {
                 statsSub.startTiming("lookup");
             }
@@ -440,7 +437,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
                     mCacheCRLIssuingPoints.get(new String(keyhsh));
 
             if (matched == null) {
-                Enumeration recs = searchCRLIssuingPointRecord(
+                Enumeration<Object> recs = searchCRLIssuingPointRecord(
                         "objectclass=" +
                                 CMS.getCRLIssuingPointRecordName(),
                         100);
@@ -524,7 +521,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
                     // if crl is not available, we can try crl cache
                     if (theRec != null) {
                         CMS.debug("DefStore: evaluating crl cache");
-                        Hashtable cache = theRec.getCRLCacheNoClone();
+                        Hashtable<BigInteger, RevokedCertificate> cache = theRec.getCRLCacheNoClone();
                         if (cache != null) {
                             RevokedCertificate rc = (RevokedCertificate)
                                     cache.get(new BigInteger(serialNo.toString()));
@@ -582,7 +579,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
         return mDBService.getBaseDN();
     }
 
-    public Enumeration searchAllCRLIssuingPointRecord(int maxSize)
+    public Enumeration<Object> searchAllCRLIssuingPointRecord(int maxSize)
             throws EBaseException {
         return searchCRLIssuingPointRecord(
                 "objectclass=" +
@@ -590,11 +587,11 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
                 maxSize);
     }
 
-    public Enumeration searchCRLIssuingPointRecord(String filter,
+    public Enumeration<Object> searchCRLIssuingPointRecord(String filter,
             int maxSize)
             throws EBaseException {
         IDBSSession s = mDBService.createSession();
-        Enumeration e = null;
+        Enumeration<Object> e = null;
 
         try {
             e = s.search(getBaseDN(), filter, maxSize);
@@ -688,10 +685,10 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
         }
     }
 
-    public Enumeration searchRepository(String name, String filter)
+    public Enumeration<Object> searchRepository(String name, String filter)
             throws EBaseException {
         IDBSSession s = mDBService.createSession();
-        Enumeration e = null;
+        Enumeration<Object> e = null;
 
         try {
             e = s.search("cn=" + transformDN(name) + "," + getBaseDN(),
@@ -739,10 +736,10 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
         }
     }
 
-    public Enumeration searchCertRecord(String name, String thisUpdate,
+    public Enumeration<Object> searchCertRecord(String name, String thisUpdate,
             String filter) throws EBaseException {
         IDBSSession s = mDBService.createSession();
-        Enumeration e = null;
+        Enumeration<Object> e = null;
 
         try {
             e = s.search("ou=" + thisUpdate + ",cn=" +
@@ -814,7 +811,7 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
 
     public void setConfigParameters(NameValuePairs pairs)
             throws EBaseException {
-        Enumeration k = pairs.getNames();
+        Enumeration<String> k = pairs.getNames();
 
         while (k.hasMoreElements()) {
             String key = (String) k.nextElement();
@@ -938,10 +935,10 @@ class CRLIPContainer {
 }
 
 class DefStoreCRLUpdater extends Thread {
-    private Hashtable mCache = null;
+    private Hashtable<String, CRLIPContainer> mCache = null;
     private int mSec = 0;
 
-    public DefStoreCRLUpdater(Hashtable cache, int sec) {
+    public DefStoreCRLUpdater(Hashtable<String, CRLIPContainer> cache, int sec) {
         mCache = cache;
         mSec = sec;
     }
diff --git a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
index 6fa3d300c16b44b019e16fa798ea14879b7d9e2d..4a0225a40464a801c672116a939065571bbf58bd 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
@@ -101,7 +101,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     private boolean mByName = true;
     private String mCACertAttr = null;
     protected Hashtable mReqCounts = new Hashtable();
-    private Hashtable mCRLs = new Hashtable();
+    private Hashtable<X509CertImpl, Object> mCRLs = new Hashtable<X509CertImpl, Object>();
 
     /**
      * Constructs the default store.
@@ -112,15 +112,15 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     public String[] getExtendedPluginInfo(Locale locale) {
         Vector v = new Vector();
 
-        v.addElement(PROP_NOT_FOUND_GOOD + ";boolean; "
-                + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_NOT_FOUND_GOOD"));
-        v.addElement(PROP_INCLUDE_NEXT_UPDATE + ";boolean; "
-                + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_INCLUDE_NEXT_UPDATE"));
+        v.addElement(PROP_NOT_FOUND_GOOD
+                + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_NOT_FOUND_GOOD"));
+        v.addElement(PROP_INCLUDE_NEXT_UPDATE
+                + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_INCLUDE_NEXT_UPDATE"));
         v.addElement(PROP_NUM_CONNS + ";number; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_NUM_CONNS"));
         v.addElement(PROP_BY_NAME + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_BY_NAME"));
         v.addElement(PROP_CRL_ATTR + ";string; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_CRL_ATTR"));
-        v.addElement(PROP_CA_CERT_ATTR + ";string; "
-                + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_CA_CERT_ATTR"));
+        v.addElement(PROP_CA_CERT_ATTR
+                + ";string; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_CA_CERT_ATTR"));
         v.addElement(IExtendedPluginInfo.HELP_TEXT + "; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_DESC"));
         v.addElement(IExtendedPluginInfo.HELP_TOKEN + ";configuration-ocspstores-ldapstore");
         return com.netscape.cmsutil.util.Utils.getStringArrayFromVector(v);
@@ -393,13 +393,13 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
         throw new EBaseException("NOT SUPPORTED");
     }
 
-    public Enumeration searchAllCRLIssuingPointRecord(int maxSize)
+    public Enumeration<Object> searchAllCRLIssuingPointRecord(int maxSize)
             throws EBaseException {
         Vector recs = new Vector();
-        Enumeration keys = mCRLs.keys();
+        Enumeration<X509CertImpl> keys = mCRLs.keys();
 
         while (keys.hasMoreElements()) {
-            X509CertImpl caCert = (X509CertImpl) keys.nextElement();
+            X509CertImpl caCert = keys.nextElement();
             X509CRLImpl crl = (X509CRLImpl) mCRLs.get(caCert);
 
             recs.addElement(new TempCRLIssuingPointRecord(caCert, crl));
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
index 862f8ac5a3bfe81ded73dff24f796cc3b431ee30..b2f654b7733555be16e8341f43b4d46652c4de8a 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
@@ -86,8 +86,10 @@ public class RenewalValidityConstraints extends APolicyRule
 
     public String[] getExtendedPluginInfo(Locale locale) {
         String[] params = {
-                PROP_MIN_VALIDITY + ";number;Specifies the minimum validity period, in days, for renewed certificates.",
-                PROP_MAX_VALIDITY + ";number;Specifies the maximum validity period, in days, for renewed certificates.",
+                PROP_MIN_VALIDITY
+                        + ";number;Specifies the minimum validity period, in days, for renewed certificates.",
+                PROP_MAX_VALIDITY
+                        + ";number;Specifies the maximum validity period, in days, for renewed certificates.",
                 PROP_RENEWAL_INTERVAL
                         + ";number;Specifies how many days before its expiration that a certificate can be renewed.",
                 IExtendedPluginInfo.HELP_TOKEN +
@@ -95,7 +97,7 @@ public class RenewalValidityConstraints extends APolicyRule
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Reject renewal request if the certificate is too far " +
                         "before it's expiry date"
-            };
+        };
 
         return params;
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
index 1dd99702f3adf81eca26e990e9855029c4637fff..8c2ba0796753ef44bc1e8c299b20bc0ffac5027e 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
@@ -376,7 +376,8 @@ public class SigningAlgorithmConstraints extends APolicyRule
         String[] params = null;
 
         String[] params_BOTH = {
-                PROP_ALGORITHMS + ";"
+                PROP_ALGORITHMS
+                        + ";"
                         + "choice(MD2withRSA\\,MD5withRSA\\,SHA1withRSA\\,SHA256withRSA\\,SHA512withRSA\\,SHA1withDSA,"
                         +
                         "MD2withRSA\\,MD5withRSA\\,SHA1withRSA\\,SHA1withDSA," +
@@ -399,7 +400,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Restricts the requested signing algorithm to be one of" +
                         " the algorithms supported by Certificate System"
-            };
+        };
 
         String[] params_RSA = {
                 PROP_ALGORITHMS + ";" + "choice(MD2withRSA\\,MD5withRSA\\,SHA1withRSA," +
@@ -414,7 +415,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Restricts the requested signing algorithm to be one of" +
                         " the algorithms supported by Certificate System"
-            };
+        };
 
         String[] params_DSA = {
                 PROP_ALGORITHMS + ";" + "choice(SHA1withDSA);Restrict the requested signing " +
@@ -424,7 +425,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Restricts the requested signing algorithm to be one of" +
                         " the algorithms supported by Certificate System"
-            };
+        };
 
         switch (mDefaultAllowedAlgs.length) {
         case 1:
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
index a3eeae98cc4e43307e743c9ee07d1bec08b84537..8c106800aac0df1919fda0cbe537cdab5cf61fd3 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
@@ -94,7 +94,7 @@ public class UniqueSubjectNameConstraints extends APolicyRule
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Rejects a request if there exists an unrevoked, unexpired " +
                         "certificate with the same subject name"
-            };
+        };
 
         return params;
 
@@ -185,14 +185,15 @@ public class UniqueSubjectNameConstraints extends APolicyRule
                 String filter = "x509Cert.subject=" + certSubjectName;
                 // subject name is indexed, so we only use subject name
                 // in the filter
-                Enumeration matched =
+                Enumeration<ICertRecord> matched =
                         mCA.getCertificateRepository().findCertRecords(filter);
 
                 while (matched.hasMoreElements()) {
-                    ICertRecord rec = (ICertRecord) matched.nextElement();
+                    ICertRecord rec = matched.nextElement();
                     String status = rec.getStatus();
 
-                    if (status.equals(ICertRecord.STATUS_REVOKED) || status.equals(ICertRecord.STATUS_EXPIRED)
+                    if (status.equals(ICertRecord.STATUS_REVOKED)
+                            || status.equals(ICertRecord.STATUS_EXPIRED)
                             || status.equals(ICertRecord.STATUS_REVOKED_EXPIRED)) {
                         // accept this only if we have a REVOKED, 
                         // EXPIRED or REVOKED_EXPIRED certificate
@@ -287,8 +288,8 @@ public class UniqueSubjectNameConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(PROP_PRE_AGENT_APPROVAL_CHECKING +
                 "=" + mPreAgentApprovalChecking);
@@ -302,8 +303,8 @@ public class UniqueSubjectNameConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_PRE_AGENT_APPROVAL_CHECKING + "=");
         defParams.addElement(PROP_KEY_USAGE_EXTENSION_CHECKING + "=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
index cf94d73ee25f2d916550760b74fbb9737c97539c..fea1265679f18608c0e88fdc296aceeef7408028 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
@@ -18,6 +18,7 @@
 package com.netscape.cms.policy.extensions;
 
 import java.io.IOException;
+import java.io.Serializable;
 import java.security.cert.CertificateException;
 import java.util.Enumeration;
 import java.util.Locale;
@@ -104,7 +105,7 @@ public class AuthInfoAccessExt extends APolicyRule implements
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_CRITICAL +
                 ";boolean;RFC 2459 recommendation: This extension MUST be non-critical.");
@@ -122,10 +123,10 @@ public class AuthInfoAccessExt extends APolicyRule implements
                     + PROP_METHOD
                     + ";string;"
                     + "A unique,valid OID specified in dot-separated numeric component notation. e.g. 1.3.6.1.5.5.7.48.1 (ocsp), 1.3.6.1.5.5.7.48.2 (caIssuers), 2.16.840.1.113730.1.16.1 (renewal)");
-            v.addElement(PROP_AD + Integer.toString(i) + "_" + PROP_LOCATION_TYPE + ";"
-                    + IGeneralNameUtil.GENNAME_CHOICE_INFO);
-            v.addElement(PROP_AD + Integer.toString(i) + "_" + PROP_LOCATION + ";"
-                    + IGeneralNameUtil.GENNAME_VALUE_INFO);
+            v.addElement(PROP_AD
+                    + Integer.toString(i) + "_" + PROP_LOCATION_TYPE + ";" + IGeneralNameUtil.GENNAME_CHOICE_INFO);
+            v.addElement(PROP_AD
+                    + Integer.toString(i) + "_" + PROP_LOCATION + ";" + IGeneralNameUtil.GENNAME_VALUE_INFO);
         }
         return com.netscape.cmsutil.util.Utils.getStringArrayFromVector(v);
     }
@@ -149,8 +150,8 @@ public class AuthInfoAccessExt extends APolicyRule implements
     /**
      * Returns a sequence of access descriptions.
      */
-    private Enumeration getAccessDescriptions() throws EBaseException {
-        Vector ads = new Vector();
+    private Enumeration<Vector<Serializable>> getAccessDescriptions() throws EBaseException {
+        Vector<Vector<Serializable>> ads = new Vector<Vector<Serializable>>();
 
         //
         // read until there is *NO* ad<NUM>_method
@@ -200,7 +201,7 @@ public class AuthInfoAccessExt extends APolicyRule implements
             if (location == null)
                 break;
             GeneralName gn = CMS.form_GeneralName(location_type, location);
-            Vector e = new Vector();
+            Vector<Serializable> e = new Vector<Serializable>();
 
             e.addElement(methodOID);
             e.addElement(gn);
@@ -245,7 +246,7 @@ public class AuthInfoAccessExt extends APolicyRule implements
                         certInfo.get(X509CertInfo.EXTENSIONS);
 
                 // add access descriptions
-                Enumeration e = getAccessDescriptions();
+                Enumeration<Vector<Serializable>> e = getAccessDescriptions();
 
                 if (!e.hasMoreElements()) {
                     return res;
@@ -261,7 +262,8 @@ public class AuthInfoAccessExt extends APolicyRule implements
                     // check to see if AIA is already exist
                     try {
                         extensions.delete(AuthInfoAccessExtension.NAME);
-                        log(ILogger.LL_WARN, "Previous extension deleted: " + AuthInfoAccessExtension.NAME);
+                        log(ILogger.LL_WARN,
+                                "Previous extension deleted: " + AuthInfoAccessExtension.NAME);
                     } catch (IOException ex) {
                     }
                 }
@@ -272,7 +274,7 @@ public class AuthInfoAccessExt extends APolicyRule implements
                                 PROP_CRITICAL, false));
 
                 while (e.hasMoreElements()) {
-                    Vector ad = (Vector) e.nextElement();
+                    Vector<Serializable> ad = e.nextElement();
                     ObjectIdentifier oid = (ObjectIdentifier) ad.elementAt(0);
                     GeneralName gn = (GeneralName) ad.elementAt(1);
 
@@ -306,8 +308,8 @@ public class AuthInfoAccessExt extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         try {
             params.addElement(PROP_CRITICAL + "=" +
@@ -368,8 +370,8 @@ public class AuthInfoAccessExt extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_NUM_ADS + "=" + MAX_AD);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
index 94a1f19a7ab2552b50c0b7cdf6e67a6ab830db5e..971379a46e61821b2c06cb09d17f97ddce6495fd 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
@@ -80,10 +80,10 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
     protected AuthorityKeyIdentifierExtension mTheExtension = null;
 
     // instance params for console
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
     // default params for console.
-    protected static Vector mDefaultParams = new Vector();
+    protected static Vector<String> mDefaultParams = new Vector<String>();
     static {
         // form static default params.
         mDefaultParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
@@ -390,7 +390,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -399,7 +399,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
index 10aa8630fa4f40159bcfdf23fdecfb55edd76933..1d22d48ecb72b6fc1aba893c4b5829712ed6cbba 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
@@ -464,8 +464,8 @@ public class BasicConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         // Because of one of the UI bugs 385273, we should leave the empty space
         // as is. Do not convert the space to some definite numbers.
@@ -480,8 +480,8 @@ public class BasicConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_IS_CRITICAL + "=true");
         defParams.addElement(PROP_MAXPATHLEN + "=");
@@ -501,7 +501,7 @@ public class BasicConstraintsExt extends APolicyRule
                         ";configuration-policyrules-basicconstraints",
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Adds the Basic Constraints extension. See RFC 2459 (4.2.1.10)"
-            };
+        };
 
         return params;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
index 4ba2a44dc6ad532fa715e4d10458fcfba9458233..1ede3d5d0741a4a928c52178c658d3b8d1569e32 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
@@ -75,14 +75,14 @@ class NameType {
         stringRep = s;
     }
 
-    private static Hashtable map = new Hashtable();
+    private static Hashtable<String, NameType> map = new Hashtable<String, NameType>();
 
     /**
      * Looks up a NameType from its string representation. Returns null
      * if no matching NameType was found.
      */
     public static NameType fromString(String s) {
-        return (NameType) map.get(s);
+        return map.get(s);
     }
 
     public String toString() {
@@ -144,9 +144,9 @@ public class CRLDistributionPointsExt extends APolicyRule
     // PKIX specifies the that the extension SHOULD NOT be critical
     public static final boolean DEFAULT_CRITICALITY = false;
 
-    private Vector defaultParams = new Vector();
+    private Vector<String> defaultParams = new Vector<String>();
 
-    private Vector mParams = new Vector();
+    private Vector<String> mParams = new Vector<String>();
     private String mExtParams[] = null;
     private CRLDistributionPointsExtension mCrldpExt = null;
 
@@ -165,7 +165,7 @@ public class CRLDistributionPointsExt extends APolicyRule
     }
 
     private void setExtendedPluginInfo() {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         // should replace MAX_POINTS with mNumPoints if bug 385118 is fixed
         for (int i = 0; i < MAX_POINTS; i++) {
@@ -462,7 +462,7 @@ public class CRLDistributionPointsExt extends APolicyRule
     }
 
     // parameters must be entered in the config file
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         for (int i = DEFAULT_NUM_BLANK_POINTS; i < mNumPoints; i++) {
             defaultParams.addElement(PROP_POINT_NAME + i + "=");
             defaultParams.addElement(PROP_POINT_TYPE + i + "=");
@@ -478,7 +478,7 @@ public class CRLDistributionPointsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mParams;
     }
 }
